> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ticketticketstatus

> TicketTicketStatusProvider creates a flat list based on the table - TICKET_STATUS

## "ticketticketstatus" MDO List

TicketTicketStatusProvider creates a flat list based on the table: TICKET\_STATUS

Implemented by the <see cref="T:SuperOffice.CRM.Lists.TicketTicketStatusProvider">TicketTicketStatusProvider</see> class.
The name of the MDO list is 'ticketticketstatus'.

## Additional Attributes

| Description             | Name | Example Value |
| ----------------------- | ---- | ------------- |
| onlyNormal              |      | true          |
| onlyNormalWithPostponed |      | true          |
| ticketType              |      | 1             |

Separator: &

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/ticketticketstatus
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("ticketticketstatus", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name      | StyleHint | ExtraInfo |
| -- | --------- | --------- | --------- |
| 2  | Closed    |           | 2         |
| 4  | Deleted   |           | 4         |
| 5  | Linked    |           | 5         |
| 1  | Open      |           | 1         |
| 3  | Postponed |           | 3         |

## Related MDO Lists

* "ticketticketstatusheadings"
* "ticketticketstatusheadingswithallitem"
* "ticketticketstatusheadingswithallitemwithnoselection"
* "ticketticketstatusheadingswithnoselection"
* "ticketticketstatuswithallitem"
* "ticketticketstatuswithallitemwithnoselection"
* "ticketticketstatuswithnoselection"


## Related topics

- [Reply template variables (Service)](/en/knowledge-base/learn/reply-templates/template-variables.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [Http Post Save Ticket Message Entity With Notify](/en/api/reference/restful/rest/ticketmessage/http-post-save-ticket-message-entity-with-notify.md)
- [Http Get Get Ticket Message With Embedded Data](/en/api/reference/restful/rest/ticketmessage/http-get-get-ticket-message-with-embedded-data.md)
- [Http Put Save Ticket Message Entity With Notify](/en/api/reference/restful/rest/ticketmessage/http-put-save-ticket-message-entity-with-notify.md)
- [Create Default Ticket Message Entity](/en/api/reference/restful/agent/ticket_agent/create-default-ticket-message-entity.md)
